
QGIS Application - Bug report #3981

WMS layer with tile looses transparency

2011-06-12 01:21 PM - Luca Casagrande

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 13977

Description

If you enable tile on a WMS request, the layer looses transparency.

Related issues:

Duplicated by QGIS Application - Bug report # 7043: Tiled WMS layer transpare... Closed 2013-01-24

Associated revisions

Revision 7ad3048a - 2013-01-25 05:21 PM - Jürgen Fischer

append resolution and transparency arguments also to tile request (fixes #3981)

History

#1 - 2011-12-16 12:44 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:28 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#3 - 2012-09-04 12:01 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2012-10-05 07:28 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

Still confirmed on latest qgis master.

#5 - 2012-12-20 04:04 AM - aperi2007 -

Hi,

I don't know before this bug.

I guess it is really serous.

Please I need to know a think:
when using the tiles, qgis, clip always exactly or add a overlap portion between the tiles.

I guess if qgis do an overlap with tiles.

This bug is more serious again.

Expecially when use a dataset (layer wms) that don't fully cover the map.

#6 - 2013-01-25 08:16 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"7ad3048a1495b5da71f15e8692e6aaac63e47364".
